# -*- encoding : utf-8 -*-

class Admin::EventsController < ApplicationController
	before_filter :authenticate_admin!

	layout "admin"
	
	navigation :events

	before_filter :find_events


	def index 

	end


	def cible
		@events = Event.all

		render :layout => false
	end

	
	def new
		@event = Event.new

	end

	def edit
		@event = Event.find(params[:id])
	end


	def create
		@event = Event.new(params[:event])


		if @event.save
			flash[:notice] = "L'événement à été ajouté avec succès."
		
			self.find_events #reload events to show new events in the list sort by date.

		else
			render :action => "new" 
		
		end
	
	end
	

	def update
		@event = Event.find(params[:id])

		if @event.update_attributes(params[:event])
			flash[:notice] = "L'événement à été modifié avec succès."
		else
			render :action => "edit" 
			
		end

	end


	def destroy
		@event = Event.find(params[:id])
		@event.destroy

	end
	
	
	protected
	
	def find_events
		@events = Event.all
		
	end
end
